/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "game.h"

bool pokerGameInit(pokergame_t *game) {
  pokerGameSceneInit(&game->gameScene, &game->engine);
  return true;
} 

void pokerGameUpdate(pokergame_t *game) {
  pokerGameSceneUpdate(&game->gameScene);
}

void pokerGameDispose(pokergame_t *game) {
  pokerGameSceneDispose(&game->gameScene);
}
